#!/bin/sh

# Initialization script to set up the initial configuration files etc.
# shtool usage inspired by the autogen script of the ferite scripting
# language -- cheers Chris :)

srcdir=`dirname $0`
PKG_NAME="tcpfire"

DIE=0

echo
echo "             tcpfire Tools Setup"
echo "===================================================="
echo
echo "Checking whether we have all tools available ..."
echo

(autoconf --version) < /dev/null > /dev/null 2>&1 || {
  echo
  echo "Error: You must have \`autoconf' installed to."
  echo "Download the appropriate package for your distribution,"
  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
  DIE=1
}

(automake --version) < /dev/null > /dev/null 2>&1 || {
  echo
  echo "Error: You must have \`automake' installed."
  echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
  echo "(or a newer version if it is available)"
  DIE=1
  NO_AUTOMAKE=yes
}


# if no automake, don't bother testing for aclocal
test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
  echo
  echo "Error: Missing \`aclocal'.  The version of \`automake'"
  echo "installed doesn't appear recent enough."
  echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
  echo "(or a newer version if it is available)"
  DIE=1
}

if test "$DIE" -eq 1; then
  exit 1
fi

echo "All necessary tools found."
echo

echo
echo
echo "running aclocal"
echo "----------------------------------------------------"
aclocal -I . $ACLOCAL_FLAGS
echo
echo "running autoheader"
echo "----------------------------------------------------"
autoheader
echo
echo "running automake"
echo "----------------------------------------------------"
automake -a -c
echo
echo "running autoconf"
echo "----------------------------------------------------"
autoconf

echo
echo 
echo "Setup finished. Now run:"
echo
echo "  $ ./configure (with options as needed, try --help)"
echo